_: {
  plugins.lualine = {
    enable = true;

    luaConfig.pre.__raw = ''
      vim.g.lualine_laststatus = vim.o.laststatus
      if vim.fn.argc(-1) > 0 then
      	-- set an empty statusline till lualine loads
      	vim.o.statusline = " "
      else
      	-- hide the statusline on the starter page
      	vim.o.laststatus = 0
      end
    '';

    settings = {
      options = {
        theme = "auto";
        globalstatus.__raw = "vim.o.laststatus == 3";
        disabled_filetypes.statusline = [
          "dashboard"
          "alpha"
          "ministarter"
          "snacks_dashboard"
        ];
      };
      sections = {
        lualine_a = ["mode"];
        lualine_b = ["branch"];

        lualine_c = [
        ];
      };
    };
  };
}
